#!/bin/sh
module="complete"
device="complete"
mode="664"

# Group: since distributions do it differently, look for wheel or use staff
group="yannzi"


# invoke insmod with all arguments we got
# and use a pathname, as insmod doesn't look in . by default
#/sbin/insmod ./$module.ko $* || exit 1

# retrieve major number
major=$(awk "\$2==\"$module\" {print \$1}" /proc/devices)

# Remove stale nodes and replace them, then give gid and perms
# Usually the script is shorter, it's scull that has several devices in it.

rm -f /dev/${device}0
mknod /dev/${device}0 c $major 0
#mknod /dev/${device}1 c $major 1
#mknod /dev/${device}2 c $major 2
#mknod /dev/${device}3 c $major 3
ln -sf ${device}0 /dev/${device}
chgrp $group /dev/${device}0
chmod $mode  /dev/${device}0




